## conkeror 0.9~git080629

=== Makefile ===
.PHONY: clean

CFLAGS = -O2 -g

spawn-process-helper: spawn-process-helper.c

clean:
	rm -f spawn-process-helper

## conkeror 0.9~git090223

=== contrib/hilighting/Makefile ===
default: dirs elisp

dirs:
	-mkdir bin

elisp: alex
	ghc -ihaskell --make -O -o bin/emacs-lisp syntaxes/emacs-lisp.hs

clean:
	rm -f elisp.hs
	rm -f *.o *.hi
	rm -f syntaxes/*.hs
	rm -f haskell/*.hi haskell/*.o
	rm -rf bin/*
	rm -f syntaxes/*.hi syntaxes/*.o

alex:
	alex -g syntaxes/*.x

## conkeror 0.9.2+git100804

=== Makefile ===
.PHONY: clean

CFLAGS = -O2 -g

conkeror-spawn-helper: conkeror-spawn-helper.c

clean:
	rm -f conkeror-spawn-helper

## conkeror 1.0~~pre

=== Makefile ===
.PHONY: clean

CFLAGS ?= -O2 -g

conkeror-spawn-helper: conkeror-spawn-helper.c

clean:
	rm -f conkeror-spawn-helper

## conkeror 1.0~~pre+git120527

=== debian/changelog ===
conkeror (1.0~~pre+git120527-1) unstable; urgency=low

  * New upstream snapshot
    - Update debian patches to fit new module API
    - Synced debian/NEWS with http://conkeror.org/BreakingChanges
  * Don't pass locale settings to seq in /usr/bin/conkeror (Closes: #674171)
  * Update buildd-ports webjump. Thanks Christoph Egger!
  * Add debpopcon webjump.
  * Also install new file content-policy.manifest. Thanks Joseph Gay!
  * Support xulrunner 12.0 and 13.0
    - Update search list in debian/conkeror.bin
    - Add alternative dependency on xulrunner-12.0 and xulrunner-13.0
    - xulrunner-14.0 and newer not yet supported due to
      https://bugzilla.mozilla.org/show_bug.cgi?id=756786
  * Make 10.0 (ESR) first xulrunner dependency.
  * Expand sensible-editor.diff to also patch modules/mime.js, replace
    hardcoded application names with xdg-open. (Closes: #570086)
    - Rename patch to sensible-editor-xdg-open.diff
    - Recommend xdg-utils
  * Reformat long list of alternative xulrunner dependencies to one
    alternative per line for better readability and better diffing.
  * debian/conkeror.bin: Generate long list of consecutive versioned
    xulrunner binary names with seq and tac.
  * debian/rules: Enable hardening options for conkeror-spawn-helper
    - Add build-dependency on dpkg-dev (>= 1.16.1~).
    - Consistently use "$(MAKE)" instead of "make".
  * Bump Standards-Version to 3.9.3 (no changes)
  * Switch source format to "3.0 (quilt)"
    - Remove quilt usage from debian/rules
    - Drop build dependency on quilt
  * Rename debian/NEWS to debian/conkeror.NEWS so it no more gets included
    in the conkeror-spawn-process-helper package.

 -- Axel Beckert <abe@debian.org>  Sun, 27 May 2012 17:07:33 +0200

conkeror (1.0~~pre+git120102-1) unstable; urgency=low

  [ Axel Beckert ]
  * Upstream version bump
  * Upstream changed minimum xulrunner requirement to 1.9.1: Update
    debian/control and debian/conkeror.bin accordingly.
  * Reorder xulrunner alternative dependencies so the current xulrunner
    from unstable (9.0) is chosen by default.
  * Make package usable on Ubuntu again despite their xulrunner removal.
    - debian/control: Add alternative dependencies on firefox instead of
      xulrunner
    - debian/conkeror.bin: If no xulrunner is found, look for firefox
      instead
    - debian/control: Update long description to mention Firefox, too.
  * Add alternative dependencies on xulrunner-11.0, -10.0, and -9.0.
  * Support xulrunner 11.0 in debian/conkeror.bin

  [ Luca Capello ]
  * Support xulrunner 10.0 and 9.0 in debian/conkeror.bin, drop support
    for unversioned xulrunner binaries. (Closes: #649199)

 -- Axel Beckert <abe@debian.org>  Mon, 02 Jan 2012 20:12:01 +0100

conkeror (0.9.4-1) unstable; urgency=low

  * New upstream milestone
  * Add support for xulrunner-7.0 and xulrunner-8.0
  * Reorder xulrunner dependencies in debian/control:
    + xulrunner-6.0 is the first dependency as that's the highest version
      currently in Debian unstable.
    + All other versions are sorted descending by their version, the
      non-versioned xulrunner being the last one.

 -- Axel Beckert <abe@debian.org>  Sun, 04 Sep 2011 22:32:03 +0200

conkeror (0.9.3+git110719-1) unstable; urgency=low

  * New upstream snapshot
    - Fullscreen toggling support, use F11 or M-S-Return
  * Make reportbug helper script to work with any installed xulrunner
    package. Thanks to Luca Capello!
  * Change versioned dependency on "xulrunner" to a non-versioned
    dependency, because xulrunner 1.8 is really history (last seen in
    Etch) and it should work with a potential virtual "xulrunner"
    package. (See #567169)
  * debian/control: Prefer xulrunner-5.0 over xulrunner-1.9.1 as 5.0 is
    now in unstable and 1.9.1 will probably vanish soon.
  * Add alternative dependency on xulrunner-6.0 which was missing in the
    last upload.

 -- Axel Beckert <abe@debian.org>  Tue, 19 Jul 2011 23:13:57 +0200

conkeror (0.9.3+git110602-1) unstable; urgency=low

  * New upstream snapshot
  * Add alternative dependencies on (upcoming) xulrunner-5.0 and -6.0
    packages
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Axel Beckert <abe@debian.org>  Fri, 27 May 2011 03:07:21 +0200

conkeror (0.9.3+git110307-2) unstable; urgency=low

  * debian/conkeror.bin: Change search order for searching xulrunner
    binaries from the confusing current state of "squeeze/sid, (former)
    experimental, lenny, experimental, generic/sarge" to descending
    "highest, most specific versions first; lowest, generic versions
    last", so it should take the newest xulrunner version which is
    installed.

 -- Axel Beckert <abe@debian.org>  Tue, 08 Mar 2011 16:28:38 +0100

conkeror (0.9.3+git110307-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes network and SSL error pages under xulrunner-2.0

 -- Axel Beckert <abe@debian.org>  Mon, 07 Mar 2011 18:05:33 +0100

conkeror (0.9.3+git110224-1) unstable; urgency=low

  * New upstream snapshot
    - Further xulrunner-2.0 fixes
  * Add missing alternative dependency on xulrunner-2.0 (Thanks to Micah
    Gersten!)
  * Also look for xulrunner-2.0 in debian/conkeror.bin aka /usr/bin/conkeror

 -- Axel Beckert <abe@debian.org>  Thu, 24 Feb 2011 19:46:28 +0100

conkeror (0.9.3+git110219-1) unstable; urgency=low

  * The Works-with-2.0 Package
  * New upstream snapshot
    - Minor fixes for xulrunner-2.0 support
  * debian/rules: Include chrome.manifest which is necessary for
    xulrunner-2.0 support.

 -- Axel Beckert <abe@debian.org>  Sat, 19 Feb 2011 08:02:05 +0100

conkeror (0.9.3+git110213-1) unstable; urgency=low

  * New upstream snapshot
    - Sorts keybindings and command line options alphabetically. Thanks
      Jari Aalto for the patches. (Closes: #606878, #606880)
  * Upload to unstable again since the Squeeze Release Freeze is over.

 -- Axel Beckert <abe@debian.org>  Sun, 13 Feb 2011 14:20:11 +0100



=== debian/control ===
Source: conkeror
Section: web
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7.2.3~), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://conkeror.org/
Vcs-Browser: http://repo.or.cz/w/conkeror.git
Vcs-Git: git://repo.or.cz/conkeror.git

Package: conkeror
Architecture: all
Depends: ${misc:Depends},
 xulrunner-10.0  |
 xulrunner-13.0  |
 xulrunner-12.0  |
 xulrunner-11.0  |
 xulrunner-9.0   |
 xulrunner-8.0   |
 xulrunner-7.0   |
 xulrunner-6.0   |
 xulrunner-5.0   |
 xulrunner-2.0   |
 xulrunner-1.9.2 |
 xulrunner-1.9.1 |
 firefox (>= 3.5)
Recommends: conkeror-spawn-process-helper, xdg-utils
Breaks: conkeror-spawn-process-helper (<< 0.9~git080901-1)
Suggests: emacs | emacsen
Provides: www-browser
Xb-Xul-AppId: {a79fe89b-6662-4ff4-8e88-09950ad4dfde}
Description: keyboard focused web browser with Emacs look and feel
 Conkeror is a highly-programmable web browser based on Mozilla
 XULRunner which is the base of all Mozilla products including
 Firefox. Conkeror has a sophisticated keyboard system for running
 commands and interacting with web page content, modelled after Emacs
 and Lynx. It is self-documenting and extensible with JavaScript.
 .
 It comes with builtin support for several Web 2.0 sites like several
 Google services (Search, Gmail, Maps, Reader, etc.), Del.icio.us,
 Reddit, Last.fm and YouTube. For easier editing of form fields, it
 can spawn external editors. For this feature the recommended
 conkeror-spawn-process-helper package needs to be installed.
 .
 Despite its very similar sounding name, Conkeror is not related to
 the KDE web browser and file manager Konqueror in any way.

Package: conkeror-spawn-process-helper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: conkeror
Breaks: conkeror (<< 0.9~git080901-1)
Description: spawn external processes in Conkeror
 This helper tool named conkeror-spawn-helper is necessary to let the
 Conkeror web browser spawn external process, e.g. to edit form fields
 in an external program. It was previously named spawn-process-helper.
 .
 Maybe helpful for other XULRunner based applications, too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Generating a xulrunner build id and other strings
DEBIAN_VERSION   := $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)

BUILDID := $(shell echo -n `whoami`@`hostname`)_$(shell date +%s)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

# Architecture
build: build-arch build-indep

build-arch: build-arch-stamp 
build-arch-stamp: configure-stamp
	# Add here commands to compile the arch part of the package.
	$(MAKE)

	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>
	cp -pr branding chrome components content defaults	\
	       locale modules search-engines help style	       	\
	       *.manifest					\
	       $(CURDIR)/debian/conkeror/usr/share/conkeror/
	mkdir -p $(CURDIR)/debian/conkeror/usr/share/conkeror/contrib/
	cp -pr contrib/xrev contrib/art contrib/modules	\
	       $(CURDIR)/debian/conkeror/usr/share/conkeror/contrib/
	# Add generated Build ID and Debian version to version output
	sed -e 's/BuildID=git/BuildID=${BUILDID}/;s/^Version=\(.*\)$$/Version=\1 (Debian-${DEBIAN_VERSION})/' application.ini \
	       > $(CURDIR)/debian/conkeror/usr/share/conkeror/application.ini
	# Use Debian version for M-x version output
	sed -e 's/Version=\(.*\)/Version=\1 (Debian-${DEBIAN_VERSION})/' components/application.js \
	       > $(CURDIR)/debian/conkeror/usr/share/conkeror/components/application.js
	cp -p debian/conkeror.bin $(CURDIR)/debian/conkeror/usr/bin/conkeror
	cp -p debian/conkeror.desktop $(CURDIR)/debian/conkeror/usr/share/applications/

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	cp -p conkeror-spawn-helper $(CURDIR)/debian/conkeror-spawn-process-helper/usr/lib/conkeror/
	ln -s /usr/lib/conkeror/conkeror-spawn-helper $(CURDIR)/debian/conkeror-spawn-process-helper/usr/share/conkeror/

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
	dh_installman
	dh_bugfiles
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## conkeror 1.0~~pre+git131116

=== debian/changelog ===
conkeror (1.0~~pre+git131116-1) unstable; urgency=low

  * New upstream snapshot
    + Fixes scroll-top-left issue (Closes: #726245)
  * Add support for xulrunner 26 and 27.
  * Follow Debian Unstable and switch default xulrunner dependency from 17
    to 24.

 -- Axel Beckert <abe@debian.org>  Sat, 16 Nov 2013 17:38:11 +0100

conkeror (1.0~~pre+git130817-1) unstable; urgency=low

  * New upstream snapshot
  * Add support for xulrunner 25.

 -- Axel Beckert <abe@debian.org>  Sat, 17 Aug 2013 15:42:01 +0200

conkeror (1.0~~pre+git130522-2) unstable; urgency=low

  * Add support for xulrunner 24.

 -- Axel Beckert <abe@debian.org>  Sat, 06 Jul 2013 22:13:48 +0200

conkeror (1.0~~pre+git130522-1) unstable; urgency=low

  * New upstream snapshot
  * Upload to unstable again
  * Add support for xulrunner 23
  * Make xulrunner-17.0 the default xulrunner dependency as that's the
    version currently in Debian unstable.

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jun 2013 02:09:43 +0200

conkeror (1.0~~pre+git130407-1) experimental; urgency=low

  * New upstream snapshot
    - Properly passes CFLAGS, fully enables dpkg build flags
  * Add support for xulrunner 18 to 22 (Closes: #699239)
  * Bump debhelper compatibility to 9
    - Remove inclusion of buildflags.mk from debian/rules, no more needed
  * Bump Standards-Version to 3.9.4 (no changes)
  * Clean up debian/rules:
    - Use dh_auto_build and dh_auto_clean.
    - Don't clean up stamp files manually; this is already done by
      dh_clean plus debhelper compatibility level >= 7.
    - Use more debhelper magic, no more manual cp, ln, or mkdir.
    - Finally switch to a dh style debian/rules.

 -- Axel Beckert <abe@debian.org>  Sun, 07 Apr 2013 03:47:35 +0200

conkeror (1.0~~pre+git120901-1) experimental; urgency=low

  * New upstream snapshot
  * Add support for xulrunner 17

 -- Axel Beckert <abe@debian.org>  Sat, 01 Sep 2012 11:20:23 +0200

conkeror (1.0~~pre+git120804-1) experimental; urgency=low

  * Add support for xulrunner 15 and 16 with according versioned
    dependencies plus conflicts for earlier package versions (See #683157
    and https://bugzilla.mozilla.org/show_bug.cgi?id=756786)
  * Add Lintian overrides for using Conflicts instead of Breaks as
    Conkeror fails if these versions are just only unpacked.
  * Use `seq 13.0 -1 5.0` instead of `seq 5.0 13.0 | tac` in conkeror.bin

 -- Axel Beckert <abe@debian.org>  Wed, 08 Aug 2012 02:11:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7.2.3~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
 Homepage: http://conkeror.org/
 Vcs-Browser: http://repo.or.cz/w/conkeror.git
 Vcs-Git: git://repo.or.cz/conkeror.git
@@ -11,10 +11,23 @@
 Package: conkeror
 Architecture: all
 Depends: ${misc:Depends},
- xulrunner-10.0  |
+ xulrunner-24.0  |
+ xulrunner-27    |
+ xulrunner-26.0  |
+ xulrunner-25.0  |
+ xulrunner-23.0  |
+ xulrunner-22.0  |
+ xulrunner-21.0  |
+ xulrunner-20.0  |
+ xulrunner-19.0  |
+ xulrunner-18.0  |
+ xulrunner-17.0  |
+ xulrunner-16.0 (>= 16.0~a2+20120803042008) |
+ xulrunner-15.0 (>= 15.0~b3) |
  xulrunner-13.0  |
  xulrunner-12.0  |
  xulrunner-11.0  |
+ xulrunner-10.0  |
  xulrunner-9.0   |
  xulrunner-8.0   |
  xulrunner-7.0   |
@@ -26,6 +39,9 @@
  firefox (>= 3.5)
 Recommends: conkeror-spawn-process-helper, xdg-utils
 Breaks: conkeror-spawn-process-helper (<< 0.9~git080901-1)
+Conflicts:
+ xulrunner-16.0 (<< 16.0~a2+20120803042008),
+ xulrunner-15.0 (<< 15.0~b3)
 Suggests: emacs | emacsen
 Provides: www-browser
 Xb-Xul-AppId: {a79fe89b-6662-4ff4-8e88-09950ad4dfde}

## conkeror 1.0~~pre-1+git141025

=== debian/changelog ===
conkeror (1.0~~pre-1+git141025-1) unstable; urgency=low

  * New upstream snapshot
    + Updated reddit and stackexchange modes to keep up with website
      changes.
  * Resync conkeror.desktop's MimeType with iceweasel's, but ignore
    application/vnd.mozilla.xul+xml. (Closes: #746691)

 -- Axel Beckert <abe@debian.org>  Sat, 25 Oct 2014 18:34:13 +0200

conkeror (1.0~~pre-1+git140812-1) unstable; urgency=low

  * New upstream snapshot
    + Updated Google Images webjump
    + Most Google webjumps now with HTTPS
  * Updated Debian and Ubuntu webjumps
    + Most Debian and some Ubuntu webjumps now with HTTPS
    + debfile webjump working again
    + drop non-working ubuntufile webjump (doesn't work without suite)
    + debtracker webjump added (Thanks Christoph Egger for the idea!)
    + lpbugnr webjump added (ubuntubugs only works for source packages)
  * Update patch headers to conform to DEP-3
  * Convert debian/copyright to machine-readable DEP-5 format
    + No more ship MPL in separate file
  * Update copyright years and holders in debian/copyright
  * Update copyright years in debian/patches/deb-webjumps.diff
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Oct 2014 01:05:32 +0200

conkeror (1.0~~pre-1+git140616-1) unstable; urgency=medium

  * New upstream pre-release 1.0pre1
  * Support using "iceweasel -app" since there's no more xulrunner. :-(
    + Add primary alternative dependency on iceweasel >= 30
    + Update README.Debian explaining how /usr/bin/conkeror works
    + Closes: #751557

 -- Axel Beckert <abe@debian.org>  Mon, 16 Jun 2014 00:00:50 +0200

conkeror (1.0~~pre+git140428-1) unstable; urgency=medium

  * New upstream snapshot
  * Add support for xulrunner 28 to 30.
  * Reformat debian/control in wrap-and-sort style.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Axel Beckert <abe@debian.org>  Mon, 28 Apr 2014 23:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: web
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9~),
+               dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.6
 Homepage: http://conkeror.org/
 Vcs-Browser: http://repo.or.cz/w/conkeror.git
 Vcs-Git: git://repo.or.cz/conkeror.git
@@ -11,37 +12,41 @@
 Package: conkeror
 Architecture: all
 Depends: ${misc:Depends},
- xulrunner-24.0  |
- xulrunner-27    |
- xulrunner-26.0  |
- xulrunner-25.0  |
- xulrunner-23.0  |
- xulrunner-22.0  |
- xulrunner-21.0  |
- xulrunner-20.0  |
- xulrunner-19.0  |
- xulrunner-18.0  |
- xulrunner-17.0  |
- xulrunner-16.0 (>= 16.0~a2+20120803042008) |
- xulrunner-15.0 (>= 15.0~b3) |
- xulrunner-13.0  |
- xulrunner-12.0  |
- xulrunner-11.0  |
- xulrunner-10.0  |
- xulrunner-9.0   |
- xulrunner-8.0   |
- xulrunner-7.0   |
- xulrunner-6.0   |
- xulrunner-5.0   |
- xulrunner-2.0   |
- xulrunner-1.9.2 |
- xulrunner-1.9.1 |
- firefox (>= 3.5)
-Recommends: conkeror-spawn-process-helper, xdg-utils
+         iceweasel (>= 30) |
+         xulrunner-24.0  |
+         xulrunner-30    |
+         xulrunner-29    |
+         xulrunner-28    |
+         xulrunner-27    |
+         xulrunner-26.0  |
+         xulrunner-25.0  |
+         xulrunner-23.0  |
+         xulrunner-22.0  |
+         xulrunner-21.0  |
+         xulrunner-20.0  |
+         xulrunner-19.0  |
+         xulrunner-18.0  |
+         xulrunner-17.0  |
+         xulrunner-16.0 (>= 16.0~a2+20120803042008) |
+         xulrunner-15.0 (>= 15.0~b3) |
+         xulrunner-13.0  |
+         xulrunner-12.0  |
+         xulrunner-11.0  |
+         xulrunner-10.0  |
+         xulrunner-9.0   |
+         xulrunner-8.0   |
+         xulrunner-7.0   |
+         xulrunner-6.0   |
+         xulrunner-5.0   |
+         xulrunner-2.0   |
+         xulrunner-1.9.2 |
+         xulrunner-1.9.1 |
+         firefox (>= 3.5)
+Recommends: conkeror-spawn-process-helper,
+            xdg-utils
 Breaks: conkeror-spawn-process-helper (<< 0.9~git080901-1)
-Conflicts:
- xulrunner-16.0 (<< 16.0~a2+20120803042008),
- xulrunner-15.0 (<< 15.0~b3)
+Conflicts: xulrunner-16.0 (<< 16.0~a2+20120803042008),
+           xulrunner-15.0 (<< 15.0~b3)
 Suggests: emacs | emacsen
 Provides: www-browser
 Xb-Xul-AppId: {a79fe89b-6662-4ff4-8e88-09950ad4dfde}
@@ -63,7 +68,8 @@
 
 Package: conkeror-spawn-process-helper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: conkeror
 Breaks: conkeror (<< 0.9~git080901-1)
 Description: spawn external processes in Conkeror

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Generating a xulrunner build id and other strings
DEBIAN_VERSION   := $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)
BUILDID := $(shell echo -n `whoami`@`hostname`)_$(shell date +%s)
USC = $(CURDIR)/debian/conkeror/usr/share/conkeror

%:
	dh $@

override_dh_install-indep:
	dh_install -i

	# Add generated Build ID and Debian version to version output
	sed -e 's/BuildID=git/BuildID=${BUILDID}/;s/^Version=\(.*\)$$/Version=\1 (Debian-${DEBIAN_VERSION})/' \
	    -i $(USC)/application.ini

	# Use Debian version for M-x version output
	sed -e 's/Version=\(.*\)/Version=\1 (Debian-${DEBIAN_VERSION})/' \
	    -i $(USC)/components/application.js

=== debian/watch ===
# We track Conkeror Git revisions, thus no need for a watch file.

## conkeror 1.0.3+git170123

=== debian/changelog ===
conkeror (1.0.3+git170123-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes minor compatibility issues with more recent Firefox versions.
  * Create a proper watch file now that upstream uses Semantic Versioning.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Jan 2017 00:18:58 +0100

conkeror (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Massively simplify /usr/bin/conkeror, no more look for xulrunner.
    + Drop alternative dependencies on xulrunner-<version>.
    + Only support firefox, firefox-esr and iceweasel.
    + Set $XUL_APP_FILE instead of passing "-app".
    + Update package description to no more mention XULRunner.
    + Remove related lintian overrides.
  * Declare compliance with Debian Policy 3.9.8.
  * Update locations of some cross-references in debian/copyright.
  * Override Lintian warnings vcs-field-uses-insecure-uri since repo.or.cz
    only uses a self-signed SSL certificate.

 -- Axel Beckert <abe@debian.org>  Wed, 08 Jun 2016 01:49:35 +0200

conkeror (1.0~~pre-1+git160130-1) unstable; urgency=high

  * New upstream snapshot:
    + Fixes let syntax with Firefox/Iceweasel 44. (Closes: #813039)
  * Enable all hardening features for conkeror-spawn-helper.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jan 2016 03:11:03 +0100

conkeror (1.0~~pre-1+git150730-1) unstable; urgency=medium

  * New upstream snapshot:
    + Fixes saveURI issues with Firefox >= 36
    + Fixes issues with more recent adblockplus releases.

 -- Axel Beckert <abe@debian.org>  Thu, 30 Jul 2015 21:49:14 +0200

conkeror (1.0~~pre-1+git150409-1) unstable; urgency=medium

  * New upstream snapshot:
    + StackExchange page-mode no more loaded by default (Closes: #772655)
    + Fixes JS syntax errors with Iceweasel 36 and above (Closes: #781487)
    + Update debian/conkeror.install to new location of conkeror.desktop
  * Try to make debian package builds reproducible.
    + Set dates and hostname in BuildID to data only depending on the
      current changelog entry.
  * Update bug report script to also look for iceweasel's bug report
    script. (Closes: #781482)
  * Make use of upstream's rewritten Makefile (via dh_auto_install) and
    change from installation whitelist to installation blacklist (delete a
    few files from debian/tmp which shouldn't go into the package).
    + Removed (obsolete):
      - debian/conkeror-spawn-process-helper.dirs
      - debian/conkeror.dirs
      - debian/conkeror.manpages
    + Massively reduced (list of upstream files now in upstream Makefile):
      - debian/conkeror.install
    + Modified, includes the mentioned blacklist:
      - debian/rules
  * debian/rules: Remove long-time obsolete and non-functional build-time
    modification of components/application.js.
  * debian/copyright: Update authors and years.

 -- Axel Beckert <abe@debian.org>  Thu, 30 Apr 2015 02:35:32 +0200

=== debian/control ===
Source: conkeror
Section: web
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.8
Homepage: http://conkeror.org/
Vcs-Browser: http://repo.or.cz/w/conkeror.git
Vcs-Git: git://repo.or.cz/conkeror.git

Package: conkeror
Architecture: all
Depends: ${misc:Depends},
         firefox | firefox-esr | iceweasel
Recommends: conkeror-spawn-process-helper,
            xdg-utils
Breaks: conkeror-spawn-process-helper (<< 0.9~git080901-1)
Suggests: emacs | emacsen
Provides: www-browser
Xb-Xul-AppId: {a79fe89b-6662-4ff4-8e88-09950ad4dfde}
Description: keyboard focused web browser with Emacs look and feel
 Conkeror is a highly-programmable web browser based on Mozilla's
 rendering engine Gecko which is the base of all Mozilla products
 including Firefox. Conkeror has a sophisticated keyboard system for
 running commands and interacting with web page content, modelled
 after Emacs and Lynx. It is self-documenting and extensible with
 JavaScript.
 .
 It comes with builtin support for several Web 2.0 sites like several
 Google services (Search, Gmail, Maps, Reader, etc.), Del.icio.us,
 Reddit, Last.fm and YouTube. For easier editing of form fields, it
 can spawn external editors. For this feature the recommended
 conkeror-spawn-process-helper package needs to be installed.
 .
 Despite its very similar sounding name, Conkeror is not related to
 the KDE web browser and file manager Konqueror in any way.

Package: conkeror-spawn-process-helper
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: conkeror
Breaks: conkeror (<< 0.9~git080901-1)
Description: spawn external processes in Conkeror
 This helper tool named conkeror-spawn-helper is necessary to let the
 Conkeror web browser spawn external process, e.g. to edit form fields
 in an external program. It was previously named spawn-process-helper.
 .
 Maybe helpful for other Gecko-based applications, too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Generating a xulrunner build id and other strings
DEBIAN_VERSION   := $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)
DATE := $(shell dpkg-parsechangelog | awk -F ': ' '$$1=="Date" {print $$2}')
BUILDID := debian@$(DEBIAN_VERSION)_$(shell date -d "$(DATE)" +%s)
US  = $(CURDIR)/debian/tmp/usr/share
USC = $(US)/conkeror

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export CFLAGS+=$(LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm -f $(US)/doc/conkeror/COPYING $(USC)/Info.plist

	# Add generated Build ID and Debian version to version output
	sed -e 's/BuildID=git/BuildID=${BUILDID}/;s/^Version=\(.*\)$$/Version=\1 (Debian-${DEBIAN_VERSION})/' \
	    -i $(USC)/application.ini

=== debian/watch ===
version=4
opts="pagemangle=s:class=\"list\ name\"\ href=\"/conkeror.git/commit/([a-f0-9]{40})\">([0-9].*)</a>:class=\"list\ name\"\ href="/conkeror.git/snapshot/$2.tar.gz\">$2</a>:g" \
http://repo.or.cz/conkeror.git/tags /conkeror.git/snapshot/(.*)\.tar\.gz

## conkeror 1.0.4

=== debian/changelog ===
conkeror (1.0.4-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes HTTP Basic Auth issues since Firefox 52. (Closes: #859364)
  * Add lintian override for bogus tech-ctte decision imposed onto policy,
    as the less bad of all alternatives.

 -- Axel Beckert <abe@debian.org>  Wed, 29 Nov 2017 20:39:08 +0100

conkeror (1.0.3+git171024-2) unstable; urgency=high

  * The deathbed upload.
  * Set "Rules-Requires-Root: no".
  * Prefer firefox-esr and iceweasel over firefox to not try running FF ≥
    57 if both, firefox and firefox-esr are installed.

 -- Axel Beckert <abe@debian.org>  Sat, 25 Nov 2017 00:35:45 +0100

conkeror (1.0.3+git171024-1) unstable; urgency=medium

  * New upstream snapshot.
  * Restrict dependencies on Firefox variants to versions below 57.
  * debian/rules: Use pkg-info.mk instead of parsing debian/changelog.
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority from extra to optional.
    + Use HTTPS in debian/copyright format URL.
  * Switch to debhelper compatibility level 10.
    + Bump versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Tue, 24 Oct 2017 23:16:02 +0200
